Mailinglist Archive: opensuse-factory (682 mails)

< Previous Next >
[opensuse-factory] New Tumbleweed snapshot 20161117 released!

Please note that this mail was generated by a script.
The described changes are computed based on the x86_64 DVD.
The full online repo contains too many changes to be listed here.

Please check the known defects of this snapshot before upgrading:
https://openqa.opensuse.org/tests/overview?distri=opensuse&groupid=1&version=Tumbleweed&build=20161117

When you reply to report some issues, make sure to change the subject.
It is not helpful to keep the release announcement subject in a thread
while discussing a specific problem.

Packages changed:
Mesa (13.0.0 -> 13.0.1)
MozillaFirefox (49.0.2 -> 50.0)
attica-qt5 (5.27.0 -> 5.28.0)
baloo5 (5.27.0 -> 5.28.0)
bluez-qt (5.27.0 -> 5.28.0)
breeze5-icons (5.27.0 -> 5.28.0)
claws-mail (3.14.0 -> 3.14.1)
extra-cmake-modules (5.27.0 -> 5.28.0)
frameworkintegration (5.27.0 -> 5.28.0)
gnome-logs
ibus-m17n
iproute2
kactivities-stats (5.27.0 -> 5.28.0)
kactivities5 (5.27.0 -> 5.28.0)
karchive (5.27.0 -> 5.28.0)
kauth (5.27.0 -> 5.28.0)
kbookmarks (5.27.0 -> 5.28.0)
kcmutils (5.27.0 -> 5.28.0)
kcodecs (5.27.0 -> 5.28.0)
kcompletion (5.27.0 -> 5.28.0)
kconfig (5.27.0 -> 5.28.0)
kconfigwidgets (5.27.0 -> 5.28.0)
kcoreaddons (5.27.0 -> 5.28.0)
kcrash (5.27.0 -> 5.28.0)
kdbusaddons (5.27.0 -> 5.28.0)
kdeclarative (5.27.0 -> 5.28.0)
kded (5.27.0 -> 5.28.0)
kdelibs4support (5.27.0 -> 5.28.0)
kdesignerplugin (5.27.0 -> 5.28.0)
kdesu (5.27.0 -> 5.28.0)
kdewebkit (5.27.0 -> 5.28.0)
kdnssd-framework (5.27.0 -> 5.28.0)
kdoctools (5.27.0 -> 5.28.0)
kemoticons (5.27.0 -> 5.28.0)
kernel-source (4.8.7 -> 4.8.8)
kfilemetadata5 (5.27.0 -> 5.28.0)
kglobalaccel (5.27.0 -> 5.28.0)
kguiaddons (5.27.0 -> 5.28.0)
khtml (5.27.0 -> 5.28.0)
ki18n (5.27.0 -> 5.28.0)
kiconthemes (5.27.0 -> 5.28.0)
kidletime (5.27.0 -> 5.28.0)
kimageformats (5.27.0 -> 5.28.0)
kinit (5.27.0 -> 5.28.0)
kio (5.27.0 -> 5.28.0)
kitemmodels (5.27.0 -> 5.28.0)
kitemviews (5.27.0 -> 5.28.0)
kiwi (7.04.8 -> 7.04.17)
kjobwidgets (5.27.0 -> 5.28.0)
kjs (5.27.0 -> 5.28.0)
kjsembed (5.27.0 -> 5.28.0)
kmediaplayer (5.27.0 -> 5.28.0)
knewstuff (5.27.0 -> 5.28.0)
knotifications (5.27.0 -> 5.28.0)
knotifyconfig (5.27.0 -> 5.28.0)
kpackage (5.27.0 -> 5.28.0)
kparts (5.27.0 -> 5.28.0)
kpeople5 (5.27.0 -> 5.28.0)
kplotting (5.27.0 -> 5.28.0)
kpty (5.27.0 -> 5.28.0)
kross (5.27.0 -> 5.28.0)
krunner (5.27.0 -> 5.28.0)
kservice (5.27.0 -> 5.28.0)
ktexteditor (5.27.0 -> 5.28.0)
ktextwidgets (5.27.0 -> 5.28.0)
kunitconversion (5.27.0 -> 5.28.0)
kwallet (5.27.0 -> 5.28.0)
kwayland (5.27.0 -> 5.28.0)
kwidgetsaddons (5.27.0 -> 5.28.0)
kwindowsystem (5.27.0 -> 5.28.0)
kxmlgui (5.27.0 -> 5.28.0)
kxmlrpcclient5 (5.27.0 -> 5.28.0)
libKF5ModemManagerQt (5.27.0 -> 5.28.0)
libKF5NetworkManagerQt (5.27.0 -> 5.28.0)
libdrm (2.4.71 -> 2.4.73)
libvirt-glib (0.2.3 -> 1.0.0)
libxml++ (3.0.0 -> 3.0.1)
mozilla-nss (3.25 -> 3.26.2)
ncurses
nfs-utils
ostree
oxygen5-icon-theme (5.27.0 -> 5.28.0)
plasma-framework (5.27.0 -> 5.28.0)
python-cryptography (1.3.4 -> 1.5.3)
python-keyring (9.3.1 -> 10.0.2)
python3-urllib3 (1.16 -> 1.18.1)
solid (5.27.0 -> 5.28.0)
sonnet (5.27.0 -> 5.28.0)
threadweaver (5.27.0 -> 5.28.0)
xorg-x11-server
yast2-ruby-bindings (3.2.1 -> 3.2.2)

=== Details ===

==== Mesa ====
Version update (13.0.0 -> 13.0.1)
Subpackages: Mesa-32bit Mesa-dri-devel Mesa-dri-nouveau Mesa-libEGL-devel
Mesa-libEGL1 Mesa-libEGL1-32bit Mesa-libGL-devel Mesa-libGL1 Mesa-libGL1-32bit
Mesa-libGLESv2-2 Mesa-libglapi0 Mesa-libglapi0-32bit Mesa-libva libOSMesa9
libOSMesa9-32bit libgbm1 libgbm1-32bit libvdpau_nouveau libvdpau_r300
libvdpau_r600 libvdpau_radeonsi libvulkan_intel libwayland-egl1 libxatracker2

- update to 13.0.1
* fdo#97715 [ILK,G45,G965] piglit.spec.arb_separate_shader_objects.misc
api error checks
* fdo#98012 [IVB] Segfault when running Dolphin twice with Vulkan
* fdo#98512 radeon r600 vdpau: Invalid command stream: texture bo too small
* i965: Fix GPU hang related to multiple render targets and alpha testing
* Revert "st/vdpau: use linear layout for output surfaces"
* ac/nir: add support for discard_if intrinsic (v2)
* nir: add conditional discard optimisation (v4)
* amd/addrlib: limit fastcall/regparm to GCC i386
* anv: use correct .specVersion for extensions
* vc4: Use Newton-Raphson on the 1/W write to fix glmark2 terrain.
* ir: Flip gl_SamplePosition in nir_lower_wpos_ytransform().
* anv/device: Return DEVICE_LOST if execbuf2 fails
* vulkan/wsi/x11: Better handle wsi_x11_connection_create failure
* vulkan/wsi/x11: Clean up connections in finish_wsi
* anv: Better handle return codes from anv_physical_device_init
* intel/blorp: Use wm_prog_data instead of hand-rolling our own
* intel/blorp: Pass a brw_stage_prog_data to upload_shader
* anv/pipeline: Put actual pointers in anv_shader_bin
* anv/pipeline: Properly cache prog_data::param
* intel/blorp: Emit all the binding tables
* anv/device: Add an execbuf wrapper
* anv: Add a cmd_buffer_execbuf helper
* anv: Don't presume to know what address is in a surface relocation
* anv: Add a new bo_pool_init helper
* anv/allocator: Simplify anv_scratch_pool
* anv: Initialize anv_bo::offset to -1
* anv/batch_chain: Improve write_reloc
* anv: Add an anv_execbuf helper struct
* anv/batch: Move last_ss_pool_bo_offset to the command buffer
* anv: Move relocation handling from EndCommandBuffer to QueueSubmit
* anv/cmd_buffer: Take a command buffer instead of a batch in two helpers
* anv/cmd_buffer: Enable a CS stall workaround for Sky Lake gt4
* glsl: Update deref types when resizing implicitly sized arrays.
* mesa: Fix pixel shader scratch space allocation on Gen9+ platforms.
* anv: Do relocations in userspace before execbuf ioctl
* egl: use util/macros.h
* egl: make interop ABI visible again
* glx: make interop ABI visible again
* radeonsi: fix an assertion failure in si_decompress_sampler_color_textures
* radeonsi: fix BFE/BFI lowering for GLSL semantics
* glsl: fix lowering of UBO references of named blocks
* st/glsl_to_tgsi: fix dvec[34] loads from SSBO
* st/mesa: fix the layer of VDPAU surface samplers
* gallium/hud: fix a problem where objects are free'd while in use.
* gallium/hud: close a previously opened handle
* gallium/hud: protect against and initialization race
* mesa/glsl: delete previously linked shaders earlier when linking

==== MozillaFirefox ====
Version update (49.0.2 -> 50.0)
Subpackages: MozillaFirefox-translations-common

- update to Firefox 50.0 (boo#1009026)
* requires NSS 3.26.2
new features
* Updates to keyboard shortcuts
Set a preference to have Ctrl+Tab cycle through tabs in recently
used order
View a page in Reader Mode by using Ctrl+Alt+R
* Added option to Find in page that allows users to limit search to
whole words only
* Added download protection for a large number of executable file
types on Windows, Mac and Linux
* Fixed rendering of dashed and dotted borders with rounded corners
(border-radius)
* Added a built-in Emoji set for operating systems without native
Emoji fonts (Windows 8.0 and lower and Linux)
* Blocked versions of libavcodec older than 54.35.1
* additional locale
security fixes:
* MFSA 2016-89
CVE-2016-5296: Heap-buffer-overflow WRITE in rasterize_edges_1
(bmo#1292443)
CVE-2016-5292: URL parsing causes crash (bmo#1288482)
CVE-2016-5293: Write to arbitrary file with updater and moz
maintenance service using updater.log hardlink
(Windows only) (bmo#1246945)
CVE-2016-5294: Arbitrary target directory for result files of
update process (Windows only) (bmo#1246972)
CVE-2016-5297: Incorrect argument length checking in Javascript
(bmo#1303678)
CVE-2016-9064: Addons update must verify IDs match between
current and new versions (bmo#1303418)
CVE-2016-9065: Firefox for Android location bar spoofing usingfullscreen
(Android only) (bmo#1306696)
CVE-2016-9066: Integer overflow leading to a buffer overflow in
nsScriptLoadHandler (bmo#1299686)
CVE-2016-9067: heap-use-after-free in nsINode::ReplaceOrInsertBefore
(bmo#1301777, bmo#1308922 (CVE-2016-9069))
CVE-2016-9068: heap-use-after-free in nsRefreshDriver (bmo#1302973)
CVE-2016-9072: 64-bit NPAPI sandbox isn't enabled on fresh profile
(bmo#1300083) (Windows only)
CVE-2016-9075: WebExtensions can access the mozAddonManager API
and use it to gain elevated privileges (bmo#1295324)
CVE-2016-9077: Canvas filters allow feDisplacementMaps to be applied
to cross-origin images, allowing timing attacks on them
(bmo#1298552)
CVE-2016-5291: Same-origin policy violation using local HTML file
and saved shortcut file (bmo#1292159)
CVE-2016-5295: Mozilla Maintenance Service: Ability to read
arbitrary files as SYSTEM (Windows only) (bmo#1247239)
CVE-2016-5298: SSL indicator can mislead the user about the real
URL visited (bmo#1227538) (Android only)
CVE-2016-5299: Firefox AuthToken in broadcast protected with
signature-level permission can be accessed by an
application installed beforehand that defines the
same permissions (bmo#1245791) (Android only)
CVE-2016-9061: API Key (glocation) in broadcast protected with
signature-level permission can be accessed by an
application installed beforehand that defines the
same permissions (Android only) (bmo#1245795)
CVE-2016-9062: Private browsing browser traces (android) in
browser.db and wal file (Android only) (bmo#1294438)
CVE-2016-9070: Sidebar bookmark can have reference to chrome window
(bmo#1281071)
CVE-2016-9073: windows.create schema doesn't specify "format": "relativeUrl"
(bmo#1289273)
CVE-2016-9074: Insufficient timing side-channel resistance in
divSpoiler (bmo#1293334) (fixed via NSS 3.26.1)
CVE-2016-9076: select dropdown menu can be used for URL bar
spoofing on e10s (bmo#1276976)
CVE-2016-9063: Possible integer overflow to fix inside XML_Parse
in expat (bmo#1274777)
CVE-2016-9071: Probe browser history via HSTS/301 redirect + CSP
(bmo#1285003)
CVE-2016-5289: Memory safety bugs fixed in Firefox 50
CVE-2016-5290: Memory safety bugs fixed in Firefox 50 and Firefox ESR 45.5
- make aarch64 build more similar to x86_64 build (remove conditionals
that don't seem to be necessary anymore)

==== attica-qt5 ====
Version update (5.27.0 -> 5.28.0)
Subpackages: attica-qt5-devel libKF5Attica5

- Update to 5.28.0
* For more details please see:
https://www.kde.org/announcements/kde-frameworks-5.28.0.php

==== baloo5 ====
Version update (5.27.0 -> 5.28.0)
Subpackages: baloo5-devel baloo5-file baloo5-imports baloo5-kioslaves
baloo5-tools libKF5Baloo5 libKF5BalooEngine5

- Update to 5.28.0
* For more details please see:
https://www.kde.org/announcements/kde-frameworks-5.28.0.php

==== bluez-qt ====
Version update (5.27.0 -> 5.28.0)
Subpackages: bluez-qt-devel bluez-qt-imports bluez-qt-udev libKF5BluezQt6

- (Build)Require udev so udevrulesdir gets owned
- Specify the file to be included in bluez-qt-udev instead of
owning the /lib/udev/ directory.
- Update to 5.28.0
* For more details please see:
https://www.kde.org/announcements/kde-frameworks-5.28.0.php

==== breeze5-icons ====
Version update (5.27.0 -> 5.28.0)

- Update to 5.28.0
* Update kstars action icons (kde#364981)
* Breeze Dark is listed as Breeze in System Settings wrong
.themes file (kde#370213)
* For more details please see:
https://www.kde.org/announcements/kde-frameworks-5.28.0.php

==== claws-mail ====
Version update (3.14.0 -> 3.14.1)
Subpackages: claws-mail-lang

- Update to version 3.14.1:
* 'hide_timezone', a new hidden preference that sets the timezone
of date fields sent over the network to the unknown timezone
value as specified in RFC 5322 §3.3. Default value is false
(i.e., send available timezone information).
* 'rewrite_first_from', a new hidden preference which works
around a limitation of some servers with 'overly-liberal
parsers'. When this is turned on and the
Content-Transfer-Encoding is set to 8bit or 7bit, in a message
body starting with 'From ' the 'From ' will become '=46rom '
(i,e, encoded form of 'F') and the Content- Transfer-Encoding
will be changed to Quoted-Printable. When it is turned off no
such modification will be made but it is very likely that an
MTA will convert the 'From ' to '>From '. See RFC 4155 for
further details. Default value is '1', turned on.
* Templates: it is now possible to attach a file, using
'|attach_output{sub_expr}' or '|A{sub_expr}', 'sub_expr' is
evaluated as a command-line to get the filename name from,
using an absolute /path/to/filename.
* IMAP mailboxes which show subscribed folders only are now
indicated by a green folder icon.
* The Icon Legend has had the missing folder icons added and
also has an improved layout.
* Drafted messages: Do not add Message-ID for draft, unless the
message already has one. A Message-ID header is now only added
when queuing a message, and any existing Message-ID and
References headers in drafts, if there are any, are kept.
* Disable hiding threads and messages in draft folders.
* The /View/Go to/... actions now respect the 'Open message when
selected' option.
* In the UI 'POP' is used instead of 'POP3', 'IMAP' instead of
'IMAP4', 'SSL/TLS' instead of 'SSL'.
* GnuTLS: Enforce "strong enough" Diffie-Hellman prime even when
using older versions of GnuTLS library.
Since GnuTLS 3.1.7, this minimum size is dictated by the
priority string, and currently (GnuTLS 3.3.0) the "safe-enough"
value is 1008 bits. We set this minimum size explicitly for
older GnuTLS versions.
Users who are affected by this (their servers use DH prime
smaller than 1008 bits) can override this by using a priority
string starting with the keyword "LEGACY". However, this
keyword only works with GnuTLS 3.3.0 or newer.
* RSSyl plugin: Enable keeping old items by default.
* vCalendar plugin: The ics file name is now used for the WebCal
subscription folder name.
* vCalendar plugin: Use hours/minutes for vcalendar alert time.
* Notification plugin: Add support for unity/messaging menu.
* PDF Viewer plugin: The icons are now themeable.
* Updated manual in English and Spanish.
* Updated translations: Brazilian Portuguese, Catalan, Czech,
Danish, Dutch, Finnish, French, Hebrew, Indonesian, Italian,
Norwegian Bokmål, Russian, Slovak, Spanish, Swedish,
Traditional Chinese, and Turkish.
* Bug fixes:
- bug 2918, 'Notification Popup icon is hardcoded'
- bug 3207, 'Claws segfaults when closing LDAP-enabled address
book'
- bug 3515, 'Ctrl-Shift-X opens multiple external editors'
- bug 3638, 'GData Plugin fails after initial Google handshake'
- bug 3665, 'Fix config script for macOS'
- bug 3666, 'Typos in Turkish translation'
- bug 3667, 'segfault in imap_session_authenticate'
- bug 3675, 'RSSyl crash when opening Atom feed'
- bug 3676, 'RSSyl crash when opening Atom feed with XML depth
>= 3'
- bug 3678, 'Segfault when trying to add new account'
- bug 3684, 'Socket error with POP3 using TLS client
certificate'
- bug 3697, 'Export to mbox' causes crash'
- bug 3705, 'active account Mail Address corrupted when address
in Message-ID is used'
- bug 3711, 'Usage of (s)'
- bug 3712, 'Name of the example domain in the translation'
- fix non-resizeable Icon Legend dialogue
- Fix a potential bug in vcalendar's libical
- Fix potential crash in vcalendar's icalcomponent_vanew() on
64-bit archs.
- Fix regression: show simple text/calendar with plugin.
- Fix crash in vcalendar passwords handling on prefs save.
- Few miscellaneous fixes for RSSyl.
- several memory leaks.
- Don't check for encrypt() on FreeBSD.
- Add OpenBSD CA cert path.
- Do not process folder marks when just refreshing summaryview

==== extra-cmake-modules ====
Version update (5.27.0 -> 5.28.0)
Subpackages: extra-cmake-modules-doc

- Update to 5.28.0
* Make KDECMakeSettings work with KDE_INSTALL_DIRS_NO_DEPRECATED
* Don't require the python bindings dependencies for ECM
* Add the PythonModuleGeneration module
* For more details please see:
https://www.kde.org/announcements/kde-frameworks-5.28.0.php

==== frameworkintegration ====
Version update (5.27.0 -> 5.28.0)
Subpackages: frameworkintegration-devel frameworkintegration-plugin libKF5Style5

- Update to 5.28.0
* For more details please see:
https://www.kde.org/announcements/kde-frameworks-5.28.0.php

==== gnome-logs ====

- Add gnome-logs-css-parsing-error.patch: Fix a css parsing error
that caused text in logs to be tiny and no respect accessibility
settings; patch taken from upstream git master branch
(bgo#768985).

==== ibus-m17n ====

- "ua" isn't a valid language code. Change to "ur", which is
listed as an available language in default.xml.in.

==== iproute2 ====

- put lnstat nstat routef routel ss into /usr/bin so that users can
actually run them

==== kactivities-stats ====
Version update (5.27.0 -> 5.28.0)

- Update to 5.28.0
* Ignoring link status when sortin UsedResources and
LinkedResources model
* For more details please see:
https://www.kde.org/announcements/kde-frameworks-5.28.0.php

==== kactivities5 ====
Version update (5.27.0 -> 5.28.0)
Subpackages: kactivities5-devel kactivities5-imports libKF5Activities5

- Update to 5.28.0
* For more details please see:
https://www.kde.org/announcements/kde-frameworks-5.28.0.php

==== karchive ====
Version update (5.27.0 -> 5.28.0)
Subpackages: karchive-devel libKF5Archive5

- Update to 5.28.0
* For more details please see:
https://www.kde.org/announcements/kde-frameworks-5.28.0.php

==== kauth ====
Version update (5.27.0 -> 5.28.0)
Subpackages: kauth-devel libKF5Auth5

- Update to 5.28.0
* Make sure we can do more than one request
* Make sure we get to know about progress by reading
the program output
* For more details please see:
https://www.kde.org/announcements/kde-frameworks-5.28.0.php

==== kbookmarks ====
Version update (5.27.0 -> 5.28.0)
Subpackages: kbookmarks-devel libKF5Bookmarks5

- Update to 5.28.0
* For more details please see:
https://www.kde.org/announcements/kde-frameworks-5.28.0.php

==== kcmutils ====
Version update (5.27.0 -> 5.28.0)
Subpackages: kcmutils-devel libKF5KCMUtils5

- Update to 5.28.0
* For more details please see:
https://www.kde.org/announcements/kde-frameworks-5.28.0.php

==== kcodecs ====
Version update (5.27.0 -> 5.28.0)
Subpackages: kcodecs-devel libKF5Codecs5

- Update to 5.28.0
* For more details please see:
https://www.kde.org/announcements/kde-frameworks-5.28.0.php

==== kcompletion ====
Version update (5.27.0 -> 5.28.0)
Subpackages: kcompletion-devel libKF5Completion5

- Update to 5.28.0
* For more details please see:
https://www.kde.org/announcements/kde-frameworks-5.28.0.php

==== kconfig ====
Version update (5.27.0 -> 5.28.0)
Subpackages: kconf_update5 kconfig-devel libKF5ConfigCore5 libKF5ConfigGui5

- Update to 5.28.0
* Make sure we don't break compilation with past broken units
* Don't be fatal on File field not being properly parsed
* For more details please see:
https://www.kde.org/announcements/kde-frameworks-5.28.0.php

==== kconfigwidgets ====
Version update (5.27.0 -> 5.28.0)
Subpackages: kconfigwidgets-devel libKF5ConfigWidgets5

- Update to 5.28.0
* For more details please see:
https://www.kde.org/announcements/kde-frameworks-5.28.0.php

==== kcoreaddons ====
Version update (5.27.0 -> 5.28.0)
Subpackages: kcoreaddons-devel libKF5CoreAddons5

- Update to 5.28.0
* Display bad url
* Load user avatars from AccountsServicePath if it exists
(kde#370362)
* For more details please see:
https://www.kde.org/announcements/kde-frameworks-5.28.0.php

==== kcrash ====
Version update (5.27.0 -> 5.28.0)
Subpackages: kcrash-devel libKF5Crash5

- Update to 5.28.0
* For more details please see:
https://www.kde.org/announcements/kde-frameworks-5.28.0.php

==== kdbusaddons ====
Version update (5.27.0 -> 5.28.0)
Subpackages: kdbusaddons-devel kdbusaddons-tools libKF5DBusAddons5

- Update to 5.28.0
* For more details please see:
https://www.kde.org/announcements/kde-frameworks-5.28.0.php

==== kdeclarative ====
Version update (5.27.0 -> 5.28.0)
Subpackages: kdeclarative-components kdeclarative-devel libKF5CalendarEvents5
libKF5Declarative5 libKF5QuickAddons5

- Update to 5.28.0
* [QtQuickRendererSettings] Fix default to be empty instead of "false"
* For more details please see:
https://www.kde.org/announcements/kde-frameworks-5.28.0.php

==== kded ====
Version update (5.27.0 -> 5.28.0)
Subpackages: kded-devel

- Update to 5.28.0
* For more details please see:
https://www.kde.org/announcements/kde-frameworks-5.28.0.php

==== kdelibs4support ====
Version update (5.27.0 -> 5.28.0)
Subpackages: kdelibs4support-devel libKF5KDELibs4Support5

- Update to 5.28.0
* Make the France flag actually use all the pixmap
* For more details please see:
https://www.kde.org/announcements/kde-frameworks-5.28.0.php

==== kdesignerplugin ====
Version update (5.27.0 -> 5.28.0)
Subpackages: kdesignerplugin-devel kdesignerplugin-lang

- Update to 5.28.0
* For more details please see:
https://www.kde.org/announcements/kde-frameworks-5.28.0.php

==== kdesu ====
Version update (5.27.0 -> 5.28.0)
Subpackages: kdesu-devel libKF5Su5

- Add unset-xdg-runtime-dir.diff to unset XDG_RUNTIME_DIR in processes
run with kdesu. This fixes the problem which made most kde applications
(like dolphin or kate) not usable when run as another user with kdesu.
kdesu worked to run those applications as root, but then, sockets
were created in / . This patch also fixes the creation of those files
which will be created on /tmp/runtime-<username>/ (boo#1009510).
- Update to 5.28.0
* For more details please see:
https://www.kde.org/announcements/kde-frameworks-5.28.0.php

==== kdewebkit ====
Version update (5.27.0 -> 5.28.0)
Subpackages: kdewebkit-devel libKF5WebKit5

- Update to 5.28.0
* For more details please see:
https://www.kde.org/announcements/kde-frameworks-5.28.0.php

==== kdnssd-framework ====
Version update (5.27.0 -> 5.28.0)
Subpackages: kdnssd-framework-devel libKF5DNSSD5

- Update to 5.28.0
* For more details please see:
https://www.kde.org/announcements/kde-frameworks-5.28.0.php

==== kdoctools ====
Version update (5.27.0 -> 5.28.0)
Subpackages: kdoctools-devel kdoctools-lang

- Update to 5.28.0
* Fix 'checkXML5 generates html files in workdir for
valid docbooks' (kde#371987)
* For more details please see:
https://www.kde.org/announcements/kde-frameworks-5.28.0.php

==== kemoticons ====
Version update (5.27.0 -> 5.28.0)
Subpackages: kemoticons-devel libKF5Emoticons5

- Update to 5.28.0
* For more details please see:
https://www.kde.org/announcements/kde-frameworks-5.28.0.php

==== kernel-source ====
Version update (4.8.7 -> 4.8.8)
Subpackages: kernel-default kernel-default-devel kernel-devel kernel-docs
kernel-macros kernel-syms

- Linux 4.8.8 (CVE-2016-7039 bsc#1001486).
- Delete patches.fixes/net-add-recursion-limit-to-GRO.patch.
- commit 7b7d4ed
- rpm/constraints.in: increase disk for kernel-syzkaller
The kernel-syzkaller build now consumes around 30G. This causes
headache in factory where the package rebuilds over and over. Require
35G disk size to successfully build the flavor.
- commit c1544cb
- Update config files: disable ASoC Intel BXT drivers
They are still premature, and it enables snd-soc-skl automatically
that interferes with the legacy HD-audio driver. Keep them disabled
until the issues are solved in upstream.
- commit 91441e5

==== kfilemetadata5 ====
Version update (5.27.0 -> 5.28.0)
Subpackages: kfilemetadata5-devel

- Update to 5.28.0
* For more details please see:
https://www.kde.org/announcements/kde-frameworks-5.28.0.php

==== kglobalaccel ====
Version update (5.27.0 -> 5.28.0)
Subpackages: kglobalaccel-devel kglobalaccel5 libKF5GlobalAccel5
libKF5GlobalAccelPrivate5

- Update to 5.28.0
* For more details please see:
https://www.kde.org/announcements/kde-frameworks-5.28.0.php

==== kguiaddons ====
Version update (5.27.0 -> 5.28.0)
Subpackages: kguiaddons-devel libKF5GuiAddons5

- Update to 5.28.0
* For more details please see:
https://www.kde.org/announcements/kde-frameworks-5.28.0.php

==== khtml ====
Version update (5.27.0 -> 5.28.0)
Subpackages: khtml-devel libKF5KHtml5

- Update to 5.28.0
* For more details please see:
https://www.kde.org/announcements/kde-frameworks-5.28.0.php

==== ki18n ====
Version update (5.27.0 -> 5.28.0)
Subpackages: ki18n-devel libKF5I18n5

- Update to 5.28.0
* For more details please see:
https://www.kde.org/announcements/kde-frameworks-5.28.0.php

==== kiconthemes ====
Version update (5.27.0 -> 5.28.0)
Subpackages: kiconthemes-devel libKF5IconThemes5

- Update to 5.28.0
* Support non integer scale factors in kiconengine (kde#366451)
* For more details please see:
https://www.kde.org/announcements/kde-frameworks-5.28.0.php

==== kidletime ====
Version update (5.27.0 -> 5.28.0)
Subpackages: kidletime-devel libKF5IdleTime5

- Update to 5.28.0
* Disabled spamming the console output with 'waiting for' messages
* For more details please see:
https://www.kde.org/announcements/kde-frameworks-5.28.0.php

==== kimageformats ====
Version update (5.27.0 -> 5.28.0)

- Update to 5.28.0
* imageformats/kra.h - overrides for KraPlugin capabilities()
and create()
* For more details please see:
https://www.kde.org/announcements/kde-frameworks-5.28.0.php

==== kinit ====
Version update (5.27.0 -> 5.28.0)
Subpackages: kinit-devel

- Update to 5.28.0
* For more details please see:
https://www.kde.org/announcements/kde-frameworks-5.28.0.php

==== kio ====
Version update (5.27.0 -> 5.28.0)
Subpackages: kio-core kio-devel

- Update to 5.28.0
* Fix HTTP date format sent by kio_http to always use the C locale
(kde#372005)
* KACL: fix memory leaks detected by ASAN
* Fix memory leaks in KIO::Scheduler, detected by ASAN
* Removed duplicate clear button (kde#369377)
* Fix editing autostart entries when /usr/local/share/applications
doesn't exist (kde#371194)
* [KOpenWithDialog] Hide TreeView header
* Sanitize the symlink name buffer size (kde#369275)
* Properly finish DropJobs when triggered is not emitted
(kde#363936)
* ClipboardUpdater: fix another crash on Wayland (kde#359883)
* ClipboardUpdater: fix crash on Wayland (kde#370520)
* Support non integer scale factors in KFileDelegate (kde#366451)
* kntlm: Distinguish between NULL and empty domain
* Don't show overwrite dialog if file name is empty
* kioexec: use friendly filenames
* Fix focus ownership if url is changed before showing the widget
* Major performance improvement when turning previews off in the
file dialog (kde#346403)
* For more details please see:
https://www.kde.org/announcements/kde-frameworks-5.28.0.php

==== kitemmodels ====
Version update (5.27.0 -> 5.28.0)
Subpackages: kitemmodels-devel libKF5ItemModels5

- Update to 5.28.0
* Add python bindings
* For more details please see:
https://www.kde.org/announcements/kde-frameworks-5.28.0.php

==== kitemviews ====
Version update (5.27.0 -> 5.28.0)
Subpackages: kitemviews-devel libKF5ItemViews5

- Update to 5.28.0
* For more details please see:
https://www.kde.org/announcements/kde-frameworks-5.28.0.php

==== kiwi ====
Version update (7.04.8 -> 7.04.17)
Subpackages: kiwi-desc-isoboot kiwi-desc-netboot kiwi-desc-oemboot
kiwi-desc-vmxboot kiwi-doc kiwi-media-requires kiwi-pxeboot kiwi-templates
kiwi-tools

- v7.04.17 released
- Delete obsolete pluginsdir from pre-commit
- Testing isoinfo binary correctly
In method 'isols()' isoinfo command line tool is used, however the
binary was opened before testing if it existed. Apparently the open
perl function was not returning an error if the file did not exist.
So in the case that isoinfo was not located in /usr/bin/isoinfo the
open command was not failing, hence never trying to open the
fallback location /usr/lib/genisoimage/isoinfo.
This commit fixes #614.
- ActivateImage links correction and read-only test
This commit is related to bnc#1006834. Loading the iso image into
a read-only ramdisk caused some issues due to the activatImage
method cp commands. With this commit the symlinks are consistent
during the preinit phase and also before running the cp command
it is tested we are not in a read-only filesystem.
- v7.04.16 released
- Fixup XML info reported size unit
The value is a byte value not a Kbytes value
- v7.04.15 released
- Fixup ip setup in setupNic
The invocation of ip in setupNic was invalid. The way this
was done causes the netmask to be set as broadcast address
Related to bnc#1003091
- v7.04.14 released
- v7.04.13 released
- Fixed mountSystemClicFS for older distributions
On e.g sle11 the ext4 filesystem support is available in read
only mode by default. In order to allow read/write access the
filesystem parameters needs to be adapted which can be done
by writing to /sys/module/ext4/parameters/rw if present
- Fixed typo in comments
clicfs container is an ext4 not ext3
- UpdateOtherDeviceFstab method was not keeping the first argument
updateOtherDeviceFstab is method responsible to include the fstab
lines needed to mount additional partitions (apart from swap and
root) defined in the description file. This methid had an error
overwriting the variable $1 witht the value of $2, which is always
empty, as the method it is never used with more than a single
parameter.
- v7.04.12 released
- Fixed waitForStorageDevice
Value for storage_size was not really used
- v7.04.11 released
- Translated using Weblate (Indonesian)
Currently translated at 14.2% (4 of 28 strings)
- Translated using Weblate (Persian)
Currently translated at 100.0% (28 of 28 strings)
- Make sure kiwiserver/kiwiservertype is used
If kiwiserver and/or kiwiservertype is specified on the
kernel commandline they should take over precedence for
up- and download of image files compared to the host
setup in the IMAGE variable.
- v7.04.10 released
- Fixed lease request in wicked call bnc#1003091
- v7.04.9 released
- Put setupNetworkWicked in line with former dhcpcd
The way setupNetworkWicked implements the dhcp discovery was
incomplete. This Fixes bnc#1003091
- Fixup assembling of mdraid array
when udev discovers an mdraid array it partially starts the array.
That is interfering with the mdadm --assemble call by kiwi which
leads to a busy state and an array in inactive state. Therefore
the method should wait until the raid array really exists no
matter if the assembling is started by udev or kiwi's mdadm call.
In addition if the array got assembled but is incomplete because
devices are missing or the timout is fired, an additional call to
start any array that has been partially assembled is required.
pxeRaidAssemble will throw an exception if after this call no
md device with a size > 0 will show up after a timeout. This
Fixes bnc#1000742
- Fixup waitForStorageDevice
The function will return success if the size of the storage
device can be obtained and is greater than zero. The pure
success on reading from the block layer is not enough. In
order to actually work with the device it must provide a
size > 0. Related to bnc#1000742

==== kjobwidgets ====
Version update (5.27.0 -> 5.28.0)
Subpackages: kjobwidgets-devel libKF5JobWidgets5

- Update to 5.28.0
* For more details please see:
https://www.kde.org/announcements/kde-frameworks-5.28.0.php

==== kjs ====
Version update (5.27.0 -> 5.28.0)
Subpackages: kjs-devel kjs-devel-lang libKF5JS5 libKF5JSApi5

- Update to 5.28.0
* Export FunctionObjectImp, used by khtml's debugger
* For more details please see:
https://www.kde.org/announcements/kde-frameworks-5.28.0.php

==== kjsembed ====
Version update (5.27.0 -> 5.28.0)
Subpackages: kjsembed-devel libKF5JsEmbed5

- Update to 5.28.0
* For more details please see:
https://www.kde.org/announcements/kde-frameworks-5.28.0.php

==== kmediaplayer ====
Version update (5.27.0 -> 5.28.0)
Subpackages: kmediaplayer-devel libKF5MediaPlayer5

- Update to 5.28.0
* For more details please see:
https://www.kde.org/announcements/kde-frameworks-5.28.0.php

==== knewstuff ====
Version update (5.27.0 -> 5.28.0)
Subpackages: knewstuff-devel libKF5NewStuff5

- Update to 5.28.0
* Separate sort roles and filters
* Make it possible to query installed entries
* For more details please see:
https://www.kde.org/announcements/kde-frameworks-5.28.0.php

==== knotifications ====
Version update (5.27.0 -> 5.28.0)
Subpackages: knotifications-devel libKF5Notifications5

- Update to 5.28.0
* Don't deref an object we haven't referenced when notification
has no action
* KNotification will no longer crash when using it in a
QGuiApplication and no notification service is running
(kde#370667)
* Fix crashes in NotifyByAudio
* For more details please see:
https://www.kde.org/announcements/kde-frameworks-5.28.0.php

==== knotifyconfig ====
Version update (5.27.0 -> 5.28.0)
Subpackages: knotifyconfig-devel libKF5NotifyConfig5

- Update to 5.28.0
* For more details please see:
https://www.kde.org/announcements/kde-frameworks-5.28.0.php

==== kpackage ====
Version update (5.27.0 -> 5.28.0)
Subpackages: kpackage-devel

- Update to 5.28.0
* Make sure we're looking both for json and desktop metadata
* Guard against Q_GLOBAL_STATIC being destroyed at app shutdown
* Fix dangling pointer in KPackageJob (kde#369935)
* Remove discovery associated to a key when removing a definition
* Generate the icon into the appstream file
* For more details please see:
https://www.kde.org/announcements/kde-frameworks-5.28.0.php
- Drop upstreamed fix-package-remove-definition.diff

==== kparts ====
Version update (5.27.0 -> 5.28.0)
Subpackages: kparts-devel libKF5Parts5

- Update to 5.28.0
* For more details please see:
https://www.kde.org/announcements/kde-frameworks-5.28.0.php

==== kpeople5 ====
Version update (5.27.0 -> 5.28.0)
Subpackages: kpeople5-devel

- Update to 5.28.0
* For more details please see:
https://www.kde.org/announcements/kde-frameworks-5.28.0.php

==== kplotting ====
Version update (5.27.0 -> 5.28.0)
Subpackages: kplotting-devel libKF5Plotting5

- Update to 5.28.0
* For more details please see:
https://www.kde.org/announcements/kde-frameworks-5.28.0.php

==== kpty ====
Version update (5.27.0 -> 5.28.0)
Subpackages: kpty-devel libKF5Pty5

- Update to 5.28.0
* Use ulog-helper on FreeBSD isntead of utempter
* Search harder for utempter using basic cmake prefix as well
* Workaround find_program ( utempter ...) failure(s)
* Use ECM path to find utempter binary,
more reliable than simple cmake prefix
* For more details please see:
https://www.kde.org/announcements/kde-frameworks-5.28.0.php
- Drop upstreamed find-utempter-better.patch

==== kross ====
Version update (5.27.0 -> 5.28.0)
Subpackages: kross-devel

- Update to 5.28.0
* For more details please see:
https://www.kde.org/announcements/kde-frameworks-5.28.0.php

==== krunner ====
Version update (5.27.0 -> 5.28.0)
Subpackages: krunner-devel libKF5Runner5

- Update to 5.28.0
* i18n: handle strings in kdevtemplate files
* For more details please see:
https://www.kde.org/announcements/kde-frameworks-5.28.0.php

==== kservice ====
Version update (5.27.0 -> 5.28.0)
Subpackages: kservice-devel

- Update to 5.28.0
* For more details please see:
https://www.kde.org/announcements/kde-frameworks-5.28.0.php

==== ktexteditor ====
Version update (5.27.0 -> 5.28.0)
Subpackages: ktexteditor-devel

- Update to 5.28.0
* Breeze Dark: Darken current-line background color for
better readability (kde#371042)
* Sorted Dockerfile instructions
* Breeze (Dark): Make comments a bit lighter for
better readability (kde#371042)
* Fix CStyle and C++/boost indenters when automatic
brackets enabled (kde#370715)
* Add modeline 'auto-brackets'
* Fix inserting text after end of file (rare case)
* Fix invalid xml highlighting files
* Maxima: Remove hard-coded colors, fix itemData Label
* Add OBJ, PLY and STL syntax definitions
* Add syntax highlighting support for Praat
* For more details please see:
https://www.kde.org/announcements/kde-frameworks-5.28.0.php

==== ktextwidgets ====
Version update (5.27.0 -> 5.28.0)
Subpackages: ktextwidgets-devel libKF5TextWidgets5

- Update to 5.28.0
* For more details please see:
https://www.kde.org/announcements/kde-frameworks-5.28.0.php

==== kunitconversion ====
Version update (5.27.0 -> 5.28.0)
Subpackages: kunitconversion-devel libKF5UnitConversion5

- Update to 5.28.0
* New Thermal and Electrical Units and Unit Convienience Function
* For more details please see:
https://www.kde.org/announcements/kde-frameworks-5.28.0.php

==== kwallet ====
Version update (5.27.0 -> 5.28.0)
Subpackages: kwallet-devel kwallet-tools kwalletd5 libKF5Wallet5
libkwalletbackend5-5

- Update to 5.28.0
* If Gpgmepp is not found, try to use KF5Gpgmepp
* Use Gpgmepp from GpgME-1.7.0
* For more details please see:
https://www.kde.org/announcements/kde-frameworks-5.28.0.php

==== kwayland ====
Version update (5.27.0 -> 5.28.0)
Subpackages: kwayland-devel

- Rebase fix-wayland-1.3-dependency.diff
- Update to 5.28.0
* Improved relocatability of CMake export
* [tools] Fix generation of wayland_pointer_p.h
* [tools] Generate eventQueue methods only for global classes
* [server] Fix crash on updating focused keyboard surface
* [server] Fix possible crash on creation of DataDevice
* [server] Ensure we have a DataSource on the DataDevice
in setSelection
* [tools/generator] Improve resource destruction on server side
* Add request to have focus in a PlasmaShellSurface of Role Panel
* Add auto-hiding panel support to PlasmaShellSurface interface
* Support passing generic QIcon through PlasmaWindow interface
* [server] Implement the generic window property
in QtSurfaceExtension
* [client] Add methods to get ShellSurface from a QWindow
* [server] Send pointer events to all wl_pointer resources
of a client
* [server] Don't call wl_data_source_send_send if
DataSource is unbound
* [server] Use deleteLater when a ClientConnection gets destroyed
(kde#370232)
* Implement support for the relative pointer protocol
* [server] Cancel previous selection from SeatInterface::setSelection
* [server] Send key events to all wl_keyboard resources of a client
* For more details please see:
https://www.kde.org/announcements/kde-frameworks-5.28.0.php

==== kwidgetsaddons ====
Version update (5.27.0 -> 5.28.0)
Subpackages: kwidgetsaddons-devel libKF5WidgetsAddons5

- Update to 5.28.0
* Move kcharselect-generate-datafile.py to src subdir
* Import kcharselect-generate-datafile.py script with history
* Remove outdated section
* Add Unicode copyright and permission notice
* Fix warning: Missing override
* Add symbol SMP blocks
* Fix "See also" references
* Add missing Unicode blocks; improve ordering (kde#298010)
* Add character categories to the data file
* Update the Unicode categories in the data file generation script
* Adjust the data file generation file to be able to parse the
unicode 5.2.0 data files
* Forward port fix for generating translations
* Let the script to generate the data file for kcharselect also
write a translation dummy
* Add the script to generate the data file for KCharSelect
* New KCharSelect application
(using kcharselect widget from kdelibs now)
* For more details please see:
https://www.kde.org/announcements/kde-frameworks-5.28.0.php

==== kwindowsystem ====
Version update (5.27.0 -> 5.28.0)
Subpackages: kwindowsystem-devel libKF5WindowSystem5

- Update to 5.28.0
* Improved relocatability of CMake export
* Add support for desktopFileName to NETWinInfo
* For more details please see:
https://www.kde.org/announcements/kde-frameworks-5.28.0.php

==== kxmlgui ====
Version update (5.27.0 -> 5.28.0)
Subpackages: kxmlgui-devel libKF5XmlGui5

- Update to 5.28.0
* Allow using new style connect in KActionCollection::addAction
* For more details please see:
https://www.kde.org/announcements/kde-frameworks-5.28.0.php

==== kxmlrpcclient5 ====
Version update (5.27.0 -> 5.28.0)
Subpackages: kxmlrpcclient5-devel libKF5XmlRpcClient5

- Update to 5.28.0
* For more details please see:
https://www.kde.org/announcements/kde-frameworks-5.28.0.php

==== libKF5ModemManagerQt ====
Version update (5.27.0 -> 5.28.0)
Subpackages: libKF5ModemManagerQt-devel libKF5ModemManagerQt6

- Update to 5.28.0
* Fix include dir in pri file
* For more details please see:
https://www.kde.org/announcements/kde-frameworks-5.28.0.php

==== libKF5NetworkManagerQt ====
Version update (5.27.0 -> 5.28.0)
Subpackages: libKF5NetworkManagerQt-devel libKF5NetworkManagerQt6

- Raise (Build)Required NM version to 0.9.10.0 (as per CMakeLists.txt)
- Update to 5.28.0
* Fix include dir in pri file
* Fix moc error due to Q_ENUMS being used in a namespace,
with Qt branch 5.8
* For more details please see:
https://www.kde.org/announcements/kde-frameworks-5.28.0.php

==== libdrm ====
Version update (2.4.71 -> 2.4.73)
Subpackages: libdrm-devel libdrm2 libdrm2-32bit libdrm_amdgpu1
libdrm_amdgpu1-32bit libdrm_intel1 libdrm_intel1-32bit libdrm_nouveau2
libdrm_nouveau2-32bit libdrm_radeon1 libdrm_radeon1-32bit libkms1

- update to 2.4.73
* headers: Add README file
* xd86drm: read more than 128 bytes of uevent in drmParsePciBusInfo
- update to 2.4.72
* amdgpu: check parameters in amdgpu_query_gpu_info
* intel: Export raw GEM mmap interfaces
* intel: Migrate handle/name lookups from linear lists to hashtables
* intel: Look prime handle up in handle hash table
* Silence runtime complaints on platform devices
* amdgpu: add the function to get the marketing name (v4)
* intel: Add uthash.h to Makefile.sources.
* amdgpu: Add amdgpu_asic_id.h to Makefile.sources.
* freedreno: Add fd_ringbuffer_flush2 to symbol check.
* headers: Sync drm{,_mode}.h with the kernel
* Add drmModePageFlipTarget
* intel: Add new symbols to intel-symbol-check
* intel: Allow some codenames in INTEL_DEVID_OVERRIDE
* add libsync.h helper
* freedreno: sync uapi header
* freedreno: add fence fd support
* Return an -ENODEV from drmGetDevice() when no device was found.

==== libvirt-glib ====
Version update (0.2.3 -> 1.0.0)
Subpackages: libvirt-glib-1_0-0 typelib-1_0-LibvirtGLib-1_0

- Update to version 1.0.0:
+ Switch to new release numbering scheme, major digit incremented
each year, minor for each release, micro for stable branches
(if any).
+ Fix Libs.private variable in pkg-config file.
+ Fix git introspection warnings.
+ Add ability to set SPICE gl property.
+ Add support for virtio video model.
+ Add support for 3d accel property.
+ Add support for querying video model.
+ Add support for host device config for PCI devs.
+ Add docs for more APIs.
+ Avoid unused variable warnings.
+ Fix check for libvirt optional features to use pkg-config.
+ Delete manually written python binding. All apps should use
PyGObject with gobject introspection.
+ Allow schema to be NULL on config objects.
+ Preserve unknown devices listed in XML.
+ Add further test coverage.
- Add gpg signed source.

==== libxml++ ====
Version update (3.0.0 -> 3.0.1)
Subpackages: libxml++-3_0-1 libxml++-devel

- Update to version 3.0.1:
+ Element::remove_attribute(): Delete the C++ wrapper
(bgo#768404).

==== mozilla-nss ====
Version update (3.25 -> 3.26.2)
Subpackages: libfreebl3 libsoftokn3 mozilla-nss-certs mozilla-nss-tools

- update to NSS 3.26.2
* required for Firefox 50.0
Changes in 3.26
New Functionality:
* the selfserv test utility has been enhanced to support ALPN
(HTTP/1.1) and 0-RTT
* added support for the System-wide crypto policy available on
Fedora Linux see http://fedoraproject.org/wiki/Changes/CryptoPolicy
* introduced build flag NSS_DISABLE_LIBPKIX that allows compilation
of NSS without the libpkix library
Notable Changes:
* The following CA certificate was Added
CN = ISRG Root X1
* NPN is disabled and ALPN is enabled by default
* the NSS test suite now completes with the experimental TLS 1.3
code enabled
* several test improvements and additions, including a NIST known answer test
Changes in 3.26.2
* MD5 signature algorithms sent by the server in CertificateRequest
messages are now properly ignored. Previously, with rare server
configurations, an MD5 signature algorithm might have been selected
for client authentication and caused the client to abort the
connection soon after.

==== ncurses ====
Subpackages: libncurses5 libncurses6 libncurses6-32bit ncurses-devel
ncurses-utils tack terminfo terminfo-base

- Add ncurses patch 20161105
+ fix typo in man/terminfo.tail (Alain Williams).
+ correct program-name in adacurses6-config.1 manual page.
- Add ncurses patch 20161029
+ add new function "unfocus_current_field" (Leon Winter)

==== nfs-utils ====
Subpackages: nfs-client nfs-doc nfs-kernel-server

- Also ignore errors on the first chown call: this can happen
especially in the build system when shadow is not present and
the user has not been generated in the %pre phase.

==== ostree ====

- Add pkgconfig(libsystemd) BuildRequires: configure explicitly
calls on both .pc names (systemd and libsystemd). We do want to
stay independent of potential systemd packaging changes.

==== oxygen5-icon-theme ====
Version update (5.27.0 -> 5.28.0)
Subpackages: oxygen5-icon-theme-large

- Update to 5.28.0
* For more details please see:
https://www.kde.org/announcements/kde-frameworks-5.28.0.php

==== plasma-framework ====
Version update (5.27.0 -> 5.28.0)
Subpackages: plasma-framework-components plasma-framework-devel
plasma-framework-private

- Add neverpullaway.patch to fix unfocusing when hiding launcher
with shortcut (kde#372476)
- Update to 5.28.0
* make sure OSD doesn't have Dialog flag (kde#370433)
* set context proeprties before reloading the qml (kde#371763)
* Don't reparse the metadata file if it's already loaded
* Fix crash in qmlplugindump when no QApplication is available
* Don't show "Alternatives" menu by default
* New bool to use activated signal as toggle of expanded
(kde#367685)
* Fixes for building plasma-framework with Qt 5.5
* [PluginLoader] Use operator<< for finalArgs instead of
initializer list
* use kwayland for shadows and dialog positioning
* Remaining missing icons and network improvements
* Move availableScreenRect/Region up to AppletInterface
* Don't load containment actions for embedded containments
(system trays)
* Update applet alternatives menu entry visibility on demand
* For more details please see:
https://www.kde.org/announcements/kde-frameworks-5.28.0.php
- Drop upstreamed Fixes-for-building-plasma-framework-with-Qt-55.patch,
0001-make-sure-OSD-doesnt-have-Dialog-flag.patch and
new-bool-to-use-activated-signal-as-toggle.patch
- Remove network.svgz, latest version is now included in tar

==== python-cryptography ====
Version update (1.3.4 -> 1.5.3)

- update to 1.5.3
- python-cryptography-enable-gost.patch is obsolete

==== python-keyring ====
Version update (9.3.1 -> 10.0.2)

- update to 10.0.2
- build requires python-tox instead of python-pytest-runner
10.0.2
-----
* #247: Restored console script.
10.0.1
------
* Update readme to reflect test recommendations.
10.0
----
* Drop support for Python 3.2.
* Test suite now uses tox instead of pytest-runner.
Test requirements are now defined in tests/requirements.txt.

==== python3-urllib3 ====
Version update (1.16 -> 1.18.1)

- update urllib3-ssl-default-context.patch
- update to version 1.18.1:
* CVE-2016-9015. Users who are using urllib3 version 1.17 or 1.18 along with
PyOpenSSL injection and OpenSSL 1.1.0 *must* upgrade to this version. This
release fixes a vulnerability whereby urllib3 in the above configuration
would silently fail to validate TLS certificates due to erroneously setting
invalid flags in OpenSSL's ``SSL_CTX_set_verify`` function. These erroneous
flags do not cause a problem in OpenSSL versions before 1.1.0, which
interprets the presence of any flag as requesting certificate validation.
There is no PR for this patch, as it was prepared for simultaneous
disclosure
and release. There will be a PR for the equivalent fix in the master branch.
- update to version 1.18:
* Fixed incorrect message for IncompleteRead exception. (PR #973)
* Accept "iPAddress" subject alternative name fields in TLS
certificates. (Issue #258)
* Fixed consistency of "HTTPResponse.closed" between Python 2 and 3.
(Issue #977)
* Fixed handling of wildcard certificates when using
PyOpenSSL. (Issue #979)
- specfile:
* update line numbers in urllib3-test-ssl-drop-sslv3.patch
- update to version 1.17:
* Accept "SSLContext" objects for use in SSL/TLS negotiation. (Issue
[#835])
* ConnectionPool debug log now includes scheme, host, and
port. (Issue #897)
* Substantially refactored documentation. (Issue #887)
* Used URLFetch default timeout on AppEngine, rather than hardcoding
our own. (Issue #858)
* Normalize the scheme and host in the URL parser (Issue #833)
* "HTTPResponse" contains the last "Retry" object, which now also
contains retries history. (Issue #848)
* Timeout can no longer be set as boolean, and must be greater than
zero. (PR #924)
* Removed pyasn1 and ndg-httpsclient from dependencies used for
PyOpenSSL. We now use cryptography and idna, both of which are
already dependencies of PyOpenSSL. (PR #930)
* Fixed infinite loop in "stream" when amt=None. (Issue #928)
* Try to use the operating system's certificates when we are using
an "SSLContext". (PR #941)
* Updated cipher suite list to allow ChaCha20+Poly1305. AES-GCM is
preferred to ChaCha20, but ChaCha20 is then preferred to
everything else. (PR #947)
* Updated cipher suite list to remove 3DES-based cipher suites. (PR
[#958])
* Removed the cipher suite fallback to allow HIGH ciphers. (PR #958)
* Implemented "length_remaining" to determine remaining content to
be read. (PR #949)
* Implemented "enforce_content_length" to enable exceptions when
incomplete data chunks are received. (PR #949)
* Dropped connection start, dropped connection reset, redirect,
forced retry, and new HTTPS connection log levels to DEBUG, from
INFO. (PR #967)

==== solid ====
Version update (5.27.0 -> 5.28.0)
Subpackages: libKF5Solid5 solid-devel solid-imports solid-tools

- Update to 5.28.0
* Fix unstable ordering of query results yet again
* Add a CMake option to switch between HAL and UDisks
managers on FreeBSD
* Make UDisks2 backend compile on FreeBSD
(and, possibly, other UNIXes)
* Windows: Don't display error dialogs (kde#371012)
* For more details please see:
https://www.kde.org/announcements/kde-frameworks-5.28.0.php

==== sonnet ====
Version update (5.27.0 -> 5.28.0)
Subpackages: libKF5SonnetCore5 libKF5SonnetUi5 sonnet-devel

- Update to 5.28.0
* For more details please see:
https://www.kde.org/announcements/kde-frameworks-5.28.0.php

==== threadweaver ====
Version update (5.27.0 -> 5.28.0)
Subpackages: libKF5ThreadWeaver5 threadweaver-devel

- Update to 5.28.0
* For more details please see:
https://www.kde.org/announcements/kde-frameworks-5.28.0.php

==== xorg-x11-server ====
Subpackages: xorg-x11-server-extra xorg-x11-server-sdk

- Exchange xorg-x11-fonts-core Requires for Recommends. The
corefonts and cursors are not strickly required as long as one
have a substitute such as Adwaita installed.

==== yast2-ruby-bindings ====
Version update (3.2.1 -> 3.2.2)

- Improved debugger support: catch the magic debugging key
combination (Shift+Ctrl+Alt+D in Qt) returned by UI calls and
start the Ruby debugger when received (FATE#318421)
- 3.2.2

--
To unsubscribe, e-mail: opensuse-factory+unsubscribe@xxxxxxxxxxxx
To contact the owner, e-mail: opensuse-factory+owner@xxxxxxxxxxxx

< Previous Next >
This Thread
  • No further messages